> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import boards from Trello into a workspace



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /imports/trello/boards
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /imports/trello/boards:
    post:
      tags:
        - Imports
      summary: Import boards from Trello into a workspace
      operationId: importTrelloBoards
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImportTrelloBoardsDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportTrelloBoardsResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    ImportTrelloBoardsDto:
      type: object
      properties:
        boardIds:
          type: array
          items:
            type: string
        workspacePublicId:
          type: string
          minLength: 12
      required:
        - boardIds
        - workspacePublicId
    ImportTrelloBoardsResponseDto_Output:
      type: object
      properties:
        boardsCreated:
          type: number
        failures:
          type: array
          items:
            type: object
            properties:
              boardId:
                type: string
              boardName:
                type: string
                nullable: true
              code:
                type: string
                enum:
                  - no_access
                  - not_found
                  - rate_limited
                  - timeout
                  - unknown
            required:
              - boardId
              - boardName
              - code
            additionalProperties: false
      required:
        - boardsCreated
        - failures
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.